module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
class SemanticMenuModel {
    constructor() {
      this._activeItem = "item_0";
      this._logo = undefined;
  
      this._menuTittle = "Menu tittle";
      this._menuIcon = undefined;
  
      this._views = undefined;
      this.initItems();
      this.initLoginProperties();
      this._onLogout = undefined;
    }
  
    initItems() {
      this._ids = [];
      this._components = [];
      this._tittles = [];
      this._tos = [];
      this._onclicks = [];
    }
    initLoginProperties() {
      this._logoutComponent = undefined;
      this._logoutTittle = "Logout";
      this._logoutTo = "";
      this._welcomeMsg = undefined;
    }
    addMenuItem(menuItem) {
      this._components.push(menuItem.component);
      this._tittles.push(menuItem.tittle);
      this._tos.push(menuItem.to);
      this._onclicks.push(menuItem.onclick);
      this._ids.push(menuItem.id);
    }
    setActiveItem(item) {
      this._activeItem = item;
      this.refresh();
    }
    setLogo(logo) {
      this._logo = logo;
    }
    setLogoutItem(item) {
      this._logoutComponent = item.component;
      this._logoutTittle = item.tittle;
      this._logoutTo = item.to;
      this._onLogout = item.onLogout;
      this._welcomeMsg = item.welcomeMsg;
      this.refresh();
    }
    setMenuTittle(tittle) {
      this._menuTittle = tittle.text;
      this._menuIcon = tittle.icon;
    }
    setView(view) {
      this._view = view;
    }
  
    refresh() {
      if (this._view != undefined) {
        this._view.forceUpdate();
      }
    }
  }
/* harmony export (immutable) */ __webpack_exports__["default"] = SemanticMenuModel;
;

/***/ })
/******/ ]);