export default class SemanticMenuModel {
    constructor() {
      this._activeItem = "item_0";
      this._logo = undefined;
  
      this._menuTittle = "Menu tittle";
      this._menuIcon = undefined;
  
      this._views = undefined;
      this.initItems();
      this.initLoginProperties();
      this._onLogout = undefined;
    }
  
    initItems() {
      this._ids = [];
      this._components = [];
      this._tittles = [];
      this._tos = [];
      this._onclicks = [];
    }
    initLoginProperties() {
      this._logoutComponent = undefined;
      this._logoutTittle = "Logout";
      this._logoutTo = "";
      this._welcomeMsg = undefined;
    }
    addMenuItem(menuItem) {
      this._components.push(menuItem.component);
      this._tittles.push(menuItem.tittle);
      this._tos.push(menuItem.to);
      this._onclicks.push(menuItem.onclick);
      this._ids.push(menuItem.id);
    }
    setActiveItem(item) {
      this._activeItem = item;
      this.refresh();
    }
    setLogo(logo) {
      this._logo = logo;
    }
    setLogoutItem(item) {
      this._logoutComponent = item.component;
      this._logoutTittle = item.tittle;
      this._logoutTo = item.to;
      this._onLogout = item.onLogout;
      this._welcomeMsg = item.welcomeMsg;
      this.refresh();
    }
    setMenuTittle(tittle) {
      this._menuTittle = tittle.text;
      this._menuIcon = tittle.icon;
    }
    setView(view) {
      this._view = view;
    }
  
    refresh() {
      if (this._view != undefined) {
        this._view.forceUpdate();
      }
    }
  };